1

to Use Steam Play (https://github.com/ValveSoftware/Proton) with DX11 Games it is necessary to Upgrade Mesa to the latest Version. I Added the PPA noticed in the Prerequisites: https://github.com/ValveSoftware/Proton/blob/proton_3.7/PREREQS.md But the latest version i get with this or other PPA is 18.0.5. Is there any PPA Available to use later Mesa Versions on Loki? Or do you recommend to use Juno which is based on Bionic?

  • You can use the padoka ppa. – Атанас Минков Aug 24 '18 at 14:50
  • I already tried this but there is only Mesa 18.0.x available. Steps to reproduce: sudo add-apt-repository ppa:paulo-miguel-dias/pkppa sudo apt-get update apt install mesa-vulkan-drivers »mesa-vulkan-drivers« is already the latest version (18.0.5-0ubuntu0~16.04.1) – Dark Schnitzel Aug 26 '18 at 11:47
0

I just went through this exact problem on elementary OS.

I believe adding this PPA updated my mesa drivers: https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers/

I believe this ppa was the one that finally enabled me to updated my mesa drivers to the following version:

OpenGL version string: 4.5 (Compatibility Profile) Mesa 18.3.0-devel

Which I can confirm has allowed me to install and run Doom 2016 without issues :D

  • Yes this also works for me. In the other PPA there is no Version for Xenial available, only Bionic. – Dark Schnitzel Sep 6 '18 at 5:49

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.